<template lang="pug">
.hero.is-fullheight.is-flex.is-align-items-center.is-justify-content-center.has-background-grey-light
	.card
		.card-header
			p.card-header-title Войти
		.card-content
			form.form( @submit.prevent='auth' )
				b-field( :label='$t("form.username")' on-border )
					b-input( v-model='username' )
				b-field( :label='$t("form.password")' on-border )
					b-input( v-model='password' input-type="password" )
				b-field
					b-button.is-fullwidth( node="button" type="primary" :loading='pending' ) {{$t("buttons.login")}}
</template>

<script setup>
import BField from "@/components/form/Field.vue"
import BInput from "@/components/form/Input.vue"

import { ref, computed, onBeforeMount } from "vue"

import { useUserStore } from "@/stores/user";
import { useRouter } from "vue-router"

const us = useUserStore()
const $router = useRouter()

const username = ref("")
const password = ref("")
const pending = ref(false)

const user = computed(() => us.user)

const auth = async () => {
	
	const data = {
		username: username.value,
		password: password.value
	}
	
	pending.value = true

	await us.authByCredentials(data)
		.then(success => {
			pending.value = false

			if (success)
				$router.push({ name: "Orders" })
		})
}

onBeforeMount(() => {
	if (user.value) $router.push({ name: "Orders" })
})
</script>

<style lang="scss"></style>